summaryrefslogtreecommitdiff
path: root/media-sound
diff options
context:
space:
mode:
Diffstat (limited to 'media-sound')
-rw-r--r--media-sound/amarok/amarok-2.0.2.ebuild104
-rw-r--r--media-sound/amarok/files/2.0.2-qt4.5.patch30
l---------media-sound/mpd/files1
-rw-r--r--media-sound/mpd/mpd-9999.ebuild148
-rw-r--r--media-sound/musepack-tools/ChangeLog172
-rw-r--r--media-sound/musepack-tools/Manifest10
-rw-r--r--media-sound/musepack-tools/files/musepack-tools-1.15v-Makefile-esd.patch15
-rw-r--r--media-sound/musepack-tools/files/musepack-tools-1.15v-Makefile.patch23
-rw-r--r--media-sound/musepack-tools/files/musepack-tools-1.15v-execstack.patch44
-rw-r--r--media-sound/musepack-tools/files/musepack-tools-1.15v-fbsd.patch13
-rw-r--r--media-sound/musepack-tools/files/musepack-tools-1.15v-gcc4.patch11
-rw-r--r--media-sound/musepack-tools/metadata.xml5
-rw-r--r--media-sound/musepack-tools/musepack-tools-1.15v-r1.ebuild77
13 files changed, 653 insertions, 0 deletions
diff --git a/media-sound/amarok/amarok-2.0.2.ebuild b/media-sound/amarok/amarok-2.0.2.ebuild
new file mode 100644
index 0000000..586bfe4
--- /dev/null
+++ b/media-sound/amarok/amarok-2.0.2.ebuild
@@ -0,0 +1,104 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+KDE_LINGUAS="ar be bg ca cs csb da de el eo es et eu fi fr ga gl he is it ja km
+ ko ku lt lv nb nds ne nl nn oc pa pl pt pt_BR ro ru se sl si sk sv th tr uk zh_CN zh_TW"
+
+OPENGL_REQUIRED="optional"
+inherit kde4-base
+
+DESCRIPTION="Advanced audio player based on KDE framework."
+HOMEPAGE="http://amarok.kde.org/"
+SRC_URI="mirror://kde/stable/${PN}/${PV}/src/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+KEYWORDS="~x86"
+SLOT="2"
+IUSE="cdaudio daap debug ifp ipod mp3tunes mp4 mtp njb +semantic-desktop"
+
+DEPEND="
+ >=app-misc/strigi-0.5.7
+ || (
+ >=dev-db/mysql-5.0[embedded]
+ >=dev-db/mysql-community-5.0[embedded]
+ )
+ dev-db/sqlite:3
+ >=media-libs/taglib-1.5
+ || (
+ media-sound/phonon
+ x11-libs/qt-phonon:4
+ )
+ >=kde-base/kdelibs-${KDE_MINIMAL}[kdeprefix=,opengl?,semantic-desktop?]
+ >=kde-base/plasma-workspace-${KDE_MINIMAL}[kdeprefix=]
+ x11-libs/qt-webkit:4
+ cdaudio? (
+ >=kde-base/libkcompactdisc-${KDE_MINIMAL}[kdeprefix=]
+ >=kde-base/libkcddb-${KDE_MINIMAL}[kdeprefix=]
+ )
+ ifp? ( media-libs/libifp )
+ ipod? ( >=media-libs/libgpod-0.4.2 )
+ mp3tunes? (
+ dev-libs/libxml2
+ dev-libs/openssl
+ net-libs/loudmouth
+ net-misc/curl
+ )
+ mp4? ( media-libs/libmp4v2 )
+ mtp? ( >=media-libs/libmtp-0.3.0 )
+ njb? ( >=media-libs/libnjb-2.2.4 )
+"
+RDEPEND="${DEPEND}
+ app-arch/unzip
+ daap? ( www-servers/mongrel )
+ semantic-desktop? ( >=kde-base/nepomuk-${KDE_MINIMAL}[kdeprefix=] )
+"
+
+pkg_setup() {
+ if use amd64 ; then
+ echo
+ ewarn "Compilation will fail if dev-db/mysql[-community] is built without -fPIC in your CFLAGS!"
+ ewarn "Related bug: http://bugs.gentoo.org/show_bug.cgi?id=238487"
+ ewarn
+ ewarn "To fix this, and to avoid using -fPIC globally in your make.conf (which is not recommended),"
+ ewarn "put the following into /etc/portage/env/dev-db/mysql (or mysql-community, depending on which you use;"
+ ewarn "create dirs and the file if they don't exist):"
+ ewarn
+ ewarn "CFLAGS=\"${CFLAGS} -DPIC -fPIC\""
+ ewarn "CXXFLAGS=\"${CXXFLAGS} -DPIC -fPIC\""
+ echo
+ fi
+ kde4-base_pkg_setup
+
+}
+
+src_configure() {
+
+
+ if ! use mp3tunes; then
+ sed -e'/mp3tunes/ s:^:#DONOTWANT :' \
+ -i "${S}"/src/services/CMakeLists.txt \
+ || die "Deactivating mp3tunes failed."
+ fi
+
+ # Remove superfluous QT_WEBKIT
+ sed -e 's/ -DQT_WEBKIT//g' \
+ -i "${S}"/src/scriptengine/generator/generator/CMakeLists.txt \
+ || die "Removing unnecessary -DQT_WEBKIT failed."
+
+ epatch "${FILESDIR}"/2.0.2-qt4.5.patch
+ mycmakeargs="${mycmakeargs}
+ -DUSE_SYSTEM_SQLITE=ON
+ $(cmake-utils_use_with cdaudio KdeMultimedia)
+ $(cmake-utils_use_with ipod Ipod)
+ $(cmake-utils_use_with ifp Ifp)
+ $(cmake-utils_use_with mp4 Mp4v2)
+ $(cmake-utils_use_with mtp Mtp)
+ $(cmake-utils_use_with njb Njb)
+ $(cmake-utils_use_with semantic-desktop Nepomuk)
+ $(cmake-utils_use_with semantic-desktop Soprano)"
+
+ kde4-base_src_configure
+}
diff --git a/media-sound/amarok/files/2.0.2-qt4.5.patch b/media-sound/amarok/files/2.0.2-qt4.5.patch
new file mode 100644
index 0000000..5b7526e
--- /dev/null
+++ b/media-sound/amarok/files/2.0.2-qt4.5.patch
@@ -0,0 +1,30 @@
+diff -ru amarok-2.0.2.org/src/scriptengine/generator/generator/shellimplgenerator.cpp amarok-2.0.2.patched/src/scriptengine/generator/generator/shellimplgenerator.cpp
+--- amarok-2.0.2.org/src/scriptengine/generator/generator/shellimplgenerator.cpp 2009-01-06 13:50:14.000000000 +0100
++++ amarok-2.0.2.patched/src/scriptengine/generator/generator/shellimplgenerator.cpp 2009-02-20 11:26:14.000000000 +0100
+@@ -105,6 +105,7 @@
+ declareFunctionMetaTypes(s, functions, registeredTypeNames);
+ s << endl;
+ }
++ writeInjectedCode(s, meta_class);
+
+ // write constructors
+ foreach (const AbstractMetaFunction *ctor, ctors) {
+diff -ru amarok-2.0.2.org/src/scriptengine/generator/generator/typesystem_gui.xml amarok-2.0.2.patched/src/scriptengine/generator/generator/typesystem_gui.xml
+--- amarok-2.0.2.org/src/scriptengine/generator/generator/typesystem_gui.xml 2009-01-06 13:50:14.000000000 +0100
++++ amarok-2.0.2.patched/src/scriptengine/generator/generator/typesystem_gui.xml 2009-02-20 11:26:08.000000000 +0100
+@@ -5389,8 +5389,13 @@
+ <object-type name="QInputContextPlugin"/>
+ <object-type name="QPictureFormatPlugin"/>
+ <object-type name="QStylePlugin"/>
+- <object-type name="QTextCodecPlugin"/>
+-
++
++ <object-type name="QTextCodecPlugin">
++ <inject-code class="shell" position="beginning">
++Q_DECLARE_METATYPE(QList&lt;int>)
++ </inject-code>
++ </object-type>
++
+ <suppress-warning text="WARNING(MetaJavaBuilder) :: skipping function 'QPixmap::QPixmap', unmatched parameter type 'QPixmapData*'"/>
+ <suppress-warning text="WARNING(MetaJavaBuilder) :: skipping * unmatched *type '*Private&amp;'"/>
+ <suppress-warning text="WARNING(MetaJavaBuilder) :: skipping * unmatched *type '*Private\*'"/>
diff --git a/media-sound/mpd/files b/media-sound/mpd/files
new file mode 120000
index 0000000..1e69236
--- /dev/null
+++ b/media-sound/mpd/files
@@ -0,0 +1 @@
+/var/paludis/repositories/mpd/media-sound/mpd/files \ No newline at end of file
diff --git a/media-sound/mpd/mpd-9999.ebuild b/media-sound/mpd/mpd-9999.ebuild
new file mode 100644
index 0000000..4a4c7c6
--- /dev/null
+++ b/media-sound/mpd/mpd-9999.ebuild
@@ -0,0 +1,148 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=2
+inherit git flag-o-matic autotools
+
+EGIT_REPO_URI="git://repo.or.cz/mpd-mk.git"
+
+DESCRIPTION="The Music Player Daemon (mpd)"
+HOMEPAGE="http://www.musicpd.org"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~ppc-macos ~s390 ~sh ~sparc ~sparc-fbsd ~x86 ~x86-fbsd"
+IUSE="aac alsa ao audiofile curl debug doc ffmpeg fifo flac icecast id3 ipv6 jack lame libsamplerate mad mikmod musepack ogg oggflac oss pulseaudio sysvipc unicode vorbis wavpack zeroconf"
+
+DEPEND="!sys-cluster/mpich2
+ >=sys-devel/automake-1.9
+ >=dev-libs/glib-2.4:2
+ aac? ( >=media-libs/faad2-2.0_rc2 )
+ alsa? ( media-sound/alsa-utils )
+ ao? ( >=media-libs/libao-0.8.4 )
+ audiofile? ( media-libs/audiofile )
+ curl? ( net-misc/curl )
+ doc? ( app-text/xmlto )
+ ffmpeg? ( media-video/ffmpeg )
+ flac? ( media-libs/flac )
+ jack? ( media-sound/jack-audio-connection-kit )
+ icecast? ( lame? ( media-sound/lame ) )
+ id3? ( media-libs/libid3tag )
+ lame? ( icecast? ( media-libs/libshout ) )
+ libsamplerate? ( media-libs/libsamplerate )
+ mad? ( media-libs/libmad )
+ mikmod? ( media-libs/libmikmod )
+ musepack? ( media-libs/libmpcdec )
+ oggflac? ( media-libs/flac[ogg] )
+ ogg? ( media-libs/libogg )
+ pulseaudio? ( media-sound/pulseaudio )
+ vorbis? ( media-libs/libvorbis
+ icecast? ( media-libs/libshout ) )
+ wavpack? ( media-sound/wavpack )
+ zeroconf? ( net-dns/avahi )"
+
+pkg_setup() {
+ if ! use lame && ! use ogg && ! use icecast; then
+ ewarn "Asking to build without icecast, but also asked to build"
+ ewarn "without an encoder. Building without icecast support".
+ fi
+
+ enewuser mpd "" "" "/var/lib/mpd" audio
+}
+
+src_prepare() {
+ eautoreconf
+# epatch "${FILESDIR}"/mpdconf.patch || die "epatch for config file failed"
+}
+
+src_configure() {
+ local myconf
+
+ myconf=""
+
+ if use zeroconf; then
+ myconf+=" --with-zeroconf=avahi"
+ else
+ myconf+=" --with-zeroconf=no"
+ fi
+
+ if use icecast; then
+ myconf+=" $(use_enable vorbis shout_ogg) $(use_enable lame shout_mp3)"
+ else
+ myconf+=" --disable-shout_ogg --disable-shout_mp3"
+ fi
+
+ append-lfs-flags
+
+ econf \
+ $(use_enable aac) \
+ $(use_enable alsa) \
+ $(use_enable ao) \
+ $(use_enable audiofile) \
+ $(use_enable curl) \
+ $(use_enable debug) \
+ $(use_enable fifo) \
+ $(use_enable ffmpeg) \
+ $(use_enable flac) \
+ $(use_enable id3) \
+ $(use_enable ipv6) \
+ $(use_enable jack) \
+ $(use_enable libsamplerate lsr) \
+ $(use_enable mad mp3) \
+ $(use_enable mikmod mod) \
+ $(use_enable musepack mpc) \
+ $(use_enable oggflac) \
+ $(use_enable oss) \
+ $(use_enable pulseaudio pulse) \
+ $(use_enable sysvipc un) \
+ $(use_enable vorbis oggvorbis) \
+ $(use_enable wavpack) \
+ ${myconf} || die "could not configure"
+}
+
+src_install() {
+ dodir /var/run/mpd
+ fowners mpd:audio /var/run/mpd
+ fperms 750 /var/run/mpd
+ keepdir /var/run/mpd
+
+ if [ ! use doc ]; then
+ rm -v doc/protocol.html
+ fi
+
+ emake install DESTDIR="${D}" || die
+ rm -rf "${D}"/usr/share/doc/mpd/
+
+ if [ use doc ]; then
+ dodoc AUTHORS NEWS README TODO UPGRADING
+ dodoc doc/protocol.html doc/mpdconf.example
+ fi
+
+ insinto /etc
+ newins doc/mpdconf.example mpd.conf
+
+ newinitd "${FILESDIR}"/mpd.rc mpd
+
+ if use unicode; then
+ dosed 's:^#filesystem_charset.*$:filesystem_charset "UTF-8":' /etc/mpd.conf
+ fi
+
+ diropts -m0755 -o mpd -g audio
+ dodir /var/lib/mpd/music
+ keepdir /var/lib/mpd/music
+ dodir /var/lib/mpd/playlists
+ keepdir /var/lib/mpd/playlists
+ dodir /var/log/mpd
+ keepdir /var/log/mpd
+
+ use alsa && \
+ dosed 's:need :need alsasound :' /etc/init.d/mpd
+}
+
+pkg_postinst() {
+ elog "If you will be starting mpd via /etc/init.d/mpd initscript, please make"
+ elog "sure that MPD's pid_file is set to /var/run/mpd/mpd.pid."
+
+ # also change the homedir if the user has existed before
+ usermod -d "/var/lib/mpd" mpd
+}
diff --git a/media-sound/musepack-tools/ChangeLog b/media-sound/musepack-tools/ChangeLog
new file mode 100644
index 0000000..bedecb7
--- /dev/null
+++ b/media-sound/musepack-tools/ChangeLog
@@ -0,0 +1,172 @@
+# ChangeLog for media-sound/musepack-tools
+# Copyright 2000-2007 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/media-sound/musepack-tools/ChangeLog,v 1.33 2007/05/14 21:21:37 beandog Exp $
+
+ 14 May 2007; Steve Dibb <beandog@gentoo.org>
+ musepack-tools-1.15v-r1.ebuild:
+ Only patch Makefile if use esd, bug 178569
+
+*musepack-tools-1.15v-r1 (12 May 2007)
+
+ 12 May 2007; Steve Dibb <beandog@gentoo.org>
+ +files/musepack-tools-1.15v-Makefile-esd.patch,
+ +musepack-tools-1.15v-r1.ebuild:
+ esd patch, bug 171694
+
+ 26 Dec 2006; Diego Pettenò <flameeyes@gentoo.org>
+ -files/musepack-tools-1.15r-r1-Makefile.patch,
+ -files/musepack-tools-1.15s-Makefile.patch,
+ -files/musepack-tools-1.15t-Makefile.patch,
+ -files/musepack-tools-1.15t-gcc4.patch,
+ -files/musepack-tools-1.15u-Makefile.patch,
+ -files/musepack-tools-1.15u-gcc4.patch, -musepack-tools-1.15s-r2.ebuild,
+ -musepack-tools-1.15t.ebuild, -musepack-tools-1.15u.ebuild,
+ musepack-tools-1.15v.ebuild:
+ Remove old versions (and old patches); fix quoting of patches names; block
+ media-sound/mppenc (the software replacing musepack-tools upstream, coming
+ soon).
+
+ 09 Jun 2006; Luis Medinas <metalgod@gentoo.org>
+ musepack-tools-1.15v.ebuild:
+ Stable on amd64.
+
+ 12 May 2006; Diego Pettenò <flameeyes@gentoo.org>
+ +files/musepack-tools-1.15v-fbsd.patch, musepack-tools-1.15v.ebuild:
+ Add ~x86-fbsd keyword with a patch to build on FreeBSD.
+
+ 18 Apr 2006; Diego Pettenò <flameeyes@gentoo.org>
+ +files/musepack-tools-1.15v-execstack.patch, musepack-tools-1.15v.ebuild:
+ Add patch to fix executable stack. Bug #118168.
+
+ 18 Oct 2005; Tony Vroon <chainsaw@gentoo.org> musepack-tools-1.15v.ebuild:
+ Do not attempt to redirect output to /dev/tty, this makes no sense. Closes
+ bug #109699.
+
+ 04 Oct 2005; Diego Pettenò <flameeyes@gentoo.org>
+ files/musepack-tools-1.15v-Makefile.patch, musepack-tools-1.15v.ebuild:
+ Fixed patch for +esd/-esd handling. See bug #104147.
+
+ 04 Sep 2005; Diego Pettenò <flameeyes@gentoo.org>
+ musepack-tools-1.15s-r2.ebuild, musepack-tools-1.15t.ebuild,
+ musepack-tools-1.15u.ebuild, musepack-tools-1.15v.ebuild:
+ Don't install COPYING file.
+
+ 23 Aug 2005; Tony Vroon <chainsaw@gentoo.org> musepack-tools-1.15v.ebuild:
+ 1.15v stable on x86.
+
+ 11 Jun 2005; Diego Pettenò <flameeyes@gentoo.org>
+ musepack-tools-1.15v.ebuild:
+ Fix dependency over esd just when needed. Made it link to libm else it fails
+ to link.
+
+*musepack-tools-1.15v (19 Mar 2005)
+
+ 19 Mar 2005; Tony Vroon <chainsaw@gentoo.org>
+ +files/musepack-tools-1.15v-Makefile.patch,
+ +files/musepack-tools-1.15v-gcc4.patch, musepack-tools-1.15s-r2.ebuild,
+ musepack-tools-1.15t.ebuild, musepack-tools-1.15u.ebuild,
+ +musepack-tools-1.15v.ebuild:
+ Version bump, closes bug #83365. Correct LICENSE in all ebuilds.
+
+*musepack-tools-1.15u (08 Mar 2005)
+
+ 08 Mar 2005; Jan Brinkmann <luckyduck@gentoo.org>
+ +files/musepack-tools-1.15u-Makefile.patch,
+ +files/musepack-tools-1.15u-gcc4.patch, +musepack-tools-1.15u.ebuild:
+ new upstream version, fixes #83528
+
+ 09 Feb 2005; Jan Brinkmann <luckyduck@gentoo.org>
+ musepack-tools-1.15s-r2.ebuild, musepack-tools-1.15t.ebuild:
+ corrected issue with esound dependency, fixes #81311
+
+ 11 Feb 2005; Tony Vroon <chainsaw@gentoo.org>
+ +files/musepack-tools-1.15t-gcc4.patch, musepack-tools-1.15t.ebuild:
+ GCC 4 compatability fix by Radoslaw -AstralStorm- Szkodzinski
+ <astralstorm@gorzow.mm.pl> closes bug #81443.
+
+ 07 Feb 2005; Jan Brinkmann <luckyduck@gentoo.org>
+ files/musepack-tools-1.15t-Makefile.patch:
+ modified the makefile patch to preserve UNBREAK cflags. see #81033
+
+ 07 Feb 2005; Jan Brinkmann <luckyduck@gentoo.org>
+ musepack-tools-1.15s-r2.ebuild, musepack-tools-1.15t.ebuild:
+ removed wrong homepage urls, fixes #81157
+
+*musepack-tools-1.15t (07 Feb 2005)
+
+ 07 Feb 2005; Jan Brinkmann <luckyduck@gentoo.org>
+ +files/musepack-tools-1.15t-Makefile.patch, +musepack-tools-1.15t.ebuild:
+ new upstream release. fixes #81033
+
+*musepack-tools-1.15s-r2 (17 Jan 2005)
+
+ 17 Jan 2005; Tony Vroon <chainsaw@gentoo.org>
+ -musepack-tools-1.15s-r1.ebuild, +musepack-tools-1.15s-r2.ebuild:
+ Portability fix, do not try to use x86 asm on amd64. Closes bug #78336,
+ patch by Tom Martin <slarti@gentoo.org>.
+
+ 22 Dec 2004; Jeremy Huddleston <eradicator@gentoo.org>
+ -musepack-tools-1.15r-r2.ebuild:
+ Removing old version.
+
+ 18 Dec 2004; Jeremy Huddleston <eradicator@gentoo.org>
+ musepack-tools-1.15s-r1.ebuild:
+ Stable amd64, x86.
+
+ 04 Dec 2004; Jeremy Huddleston <eradicator@gentoo.org>
+ musepack-tools-1.15r-r2.ebuild, musepack-tools-1.15s-r1.ebuild:
+ Added missing esd? around esound DEPEND. Closes bug #72287.
+
+*musepack-tools-1.15s-r1 (27 Nov 2004)
+
+ 27 Nov 2004; Tony Vroon <chainsaw@gentoo.org>
+ +musepack-tools-1.15s-r1.ebuild, -musepack-tools-1.15s.ebuild:
+ Add 16bit local USE-flag, closes bug #72500. Made oss dependency explicit as
+ to never break emerge world.
+
+*musepack-tools-1.15s (26 Nov 2004)
+
+ 26 Nov 2004; Jeremy Huddleston <eradicator@gentoo.org>
+ -files/musepack-tools-1.15r-Makefile.patch,
+ +files/musepack-tools-1.15s-Makefile.patch, +musepack-tools-1.15s.ebuild:
+ Version bump closes bug #72486.
+
+ 14 Sep 2004; Jeremy Huddleston <eradicator@gentoo.org>
+ -musepack-tools-1.15r.ebuild, -musepack-tools-1.15r-r1.ebuild,
+ musepack-tools-1.15r-r2.ebuild:
+ Stable x86. Removing old ebuilds.
+
+*musepack-tools-1.15r-r2 (05 Sep 2004)
+
+ 05 Sep 2004; Patrick Dawson <pkdawson@gentoo.org>
+ +musepack-tools-1.15r-r2.ebuild:
+ Added filters for some mfpmath flags. Thanks to <numlock@freesurf.ch>
+ Closes bug #62224.
+
+*musepack-tools-1.15r-r1 (07 Jul 2004)
+
+ 07 Jul 2004; Jeremy Huddleston <eradicator@gentoo.org>
+ +files/musepack-tools-1.15r-r1-Makefile.patch,
+ +musepack-tools-1.15r-r1.ebuild:
+ prelink bug fix thanks to 4nykey@nm.ru closes bug #49821. -* because of nasm
+ dep.
+
+ 16 Jun 2004; Jeremy Huddleston <eradicator@gentoo.org>
+ musepack-tools-1.15r.ebuild:
+ SRC_URI fixed for bug #52148.
+
+ 14 Jun 2004; Jeremy Huddleston <eradicator@gentoo.org>
+ musepack-tools-1.15r.ebuild:
+ Removed nomirror so we can get source from the gentoo mirror. Added nasm
+ dependency. Added to ~amd64. Removed -mpreferred-stack-boundary=2 from vendor
+ CFLAGS.
+
+ 27 Apr 2004; Aron Griffis <agriffis@gentoo.org> musepack-tools-1.15r.ebuild:
+ Add flag-o-matic for bug 49179
+
+*musepack-tools-1.15r (22 Apr 2004)
+
+ 22 Apr 2004; Jeremy Huddleston <eradicator@gentoo.org>
+ musepack-tools-1.15r.ebuild, files/musepack-tools-1.15r-Makefile.patch:
+ Initial ebuild provided by 4nykey@nm.ru in bug #47615.
+
diff --git a/media-sound/musepack-tools/Manifest b/media-sound/musepack-tools/Manifest
new file mode 100644
index 0000000..6720c29
--- /dev/null
+++ b/media-sound/musepack-tools/Manifest
@@ -0,0 +1,10 @@
+AUX musepack-tools-1.15v-Makefile-esd.patch 639 RMD160 de870cdf6b082954c766bc98fc42cadd4864ff5d SHA1 014764a198d2a8e91cd2f855549be1a8bf1cdf8f SHA256 33b92e1f06bdef80047225eba85308ae1e2c30b1bf1a744db54372e7baab8b21
+AUX musepack-tools-1.15v-Makefile.patch 572 RMD160 c8402ba8d07c2381759ecb2eda1a38b153b28d94 SHA1 87962aec7e82dbe7e06c897afe9c34f7999b0267 SHA256 12d9fe1a1980d3172128aae22f1c5919730e28925dd0aa12fceca4dfcb3db434
+AUX musepack-tools-1.15v-execstack.patch 1256 RMD160 a4d15a6640db2dedf2790e398c2d5309eee1c416 SHA1 25de758e8982ac83aef017cfe1083985c7b3f4d2 SHA256 655b7945855d7e65bbaa5dee6be854c45c14e19036ab73ee207a939d3bd25277
+AUX musepack-tools-1.15v-fbsd.patch 469 RMD160 e969a4896ec14ca7a02a8b36f616f00977e0bd72 SHA1 0ce936e217d51a878450c7570905a8ca43324d72 SHA256 71b17ca4f444ca08685f3e0838b86b1c252cf6374a054884c6cc13c9809200e3
+AUX musepack-tools-1.15v-gcc4.patch 288 RMD160 6ab9a05d263c628e138f98a9ad72532f7a472543 SHA1 9232afeeab2e8f9ae5175275af3650ff7f71f048 SHA256 9e52b4d1b93538e6525d63aae2ea30fcad8e046f276419b4a2e0f30d714282ff
+DIST mpcsv7-src-1.15v.tar.bz2 416868 RMD160 11b28faab8e23b22366ddd6a7b93aace257838e7 SHA1 4fb6b1a45858638eb6b854b910038baa1b410146 SHA256 ca602ea9d41038bdf7c04371d6f12d0eca5b71c29433633732d607e1b410a4bd
+EBUILD musepack-tools-1.15v-r1.ebuild 1868 RMD160 c527450f0a392d029bd40c6272225b50b88bd89a SHA1 83cc68c26b1d48f8e381a51a27937cfa85935722 SHA256 cd6776ecc39d8ec6f95f0f59d823061ae1ac0c8b9e9d9fccaa17ae8e14ae6857
+EBUILD musepack-tools-1.15v.ebuild 1809 RMD160 69820ea8b2700c94b33ad4b2c43d60e43cf5a579 SHA1 bb1ef8e143dec042fa0b32caa50e535d91092ac6 SHA256 5495da2fdef82ff7eabb5ac30eefa2a1d72a41b0e44444a80880ba6e93934431
+MISC ChangeLog 6611 RMD160 8f07204deac4810b7d8074f511a9d4a9b6fb29c8 SHA1 4a5e7b8a3fc950f8f25d82a9382d7dbb4855a496 SHA256 347a3495623a2955709c1352a110e5450ed4245c2eef0ed3677cb7a3e6f33662
+MISC metadata.xml 158 RMD160 6842e2189a50bd8a98e84802c38180ac1421c00e SHA1 703cea5a2109d41f7c87993c1f01d418a4c85174 SHA256 dfb5b47e6836db39fb187301dfcff1c2605e91d13d21db160806a563d8c75f9b
diff --git a/media-sound/musepack-tools/files/musepack-tools-1.15v-Makefile-esd.patch b/media-sound/musepack-tools/files/musepack-tools-1.15v-Makefile-esd.patch
new file mode 100644
index 0000000..935d281
--- /dev/null
+++ b/media-sound/musepack-tools/files/musepack-tools-1.15v-Makefile-esd.patch
@@ -0,0 +1,15 @@
+--- Makefile.orig 2007-04-24 09:07:22.000000000 -0700
++++ Makefile 2007-04-24 09:07:43.000000000 -0700
+@@ -310,10 +310,10 @@
+
+ $(MPPDEC_TARGET): $(MPPDEC_OBJ)
+ ifndef BLD_STATIC
+- $(CC) $(CFLAGS) $(MPPDEC_OBJ) -o $(MPPDEC_TARGET) $(LDADD)
++ $(CC) $(CFLAGS) $(MPPDEC_OBJ) -o $(MPPDEC_TARGET) $(LDADD) -lesd
+ # -$(STRIP) $(STRIPOPT) $(MPPDEC_TARGET)
+ else
+- $(CC) -static $(CFLAGS) $(MPPDEC_OBJ) -o $(MPPDEC_TARGET)-static $(LDADD)
++ $(CC) -static $(CFLAGS) $(MPPDEC_OBJ) -o $(MPPDEC_TARGET)-static $(LDADD) -lesd
+ # -$(STRIP) $(STRIPOPT) $(MPPDEC_TARGET)-static
+ endif
+
diff --git a/media-sound/musepack-tools/files/musepack-tools-1.15v-Makefile.patch b/media-sound/musepack-tools/files/musepack-tools-1.15v-Makefile.patch
new file mode 100644
index 0000000..b6e1d16
--- /dev/null
+++ b/media-sound/musepack-tools/files/musepack-tools-1.15v-Makefile.patch
@@ -0,0 +1,23 @@
+--- Makefile.orig 2005-02-07 15:56:48.000000000 +0100
++++ Makefile 2005-02-07 23:23:20.422596896 +0100
+@@ -36,7 +36,7 @@
+ # If unset Intel 386 with optimization for Pentium is selected.
+
+ ifndef ARCH
+-ARCH = -march=i586 -m$(TUNE)=i686
++ARCH = #-march=i586 -m$(TUNE)=i686
+ endif
+
+ ifdef MINGW
+@@ -176,9 +176,9 @@
+ -fno-finite-math-only -fno-unsafe-math-optimizations
+ endif
+
+-OPTIM_SPEED = -O2 $(FLAGS) $(UNBREAK)
++OPTIM_SPEED = $(UNBREAK)
+
+-OPTIM_SIZE = -Os $(FLAGS) $(UNBREAK)
++OPTIM_SIZE = $(UNBREAK)
+
+ # Options to generate Assembly code for inspecting
+
diff --git a/media-sound/musepack-tools/files/musepack-tools-1.15v-execstack.patch b/media-sound/musepack-tools/files/musepack-tools-1.15v-execstack.patch
new file mode 100644
index 0000000..075fad3
--- /dev/null
+++ b/media-sound/musepack-tools/files/musepack-tools-1.15v-execstack.patch
@@ -0,0 +1,44 @@
+Index: sv7/cpu_feat.nas
+===================================================================
+--- sv7.orig/cpu_feat.nas
++++ sv7/cpu_feat.nas
+@@ -140,3 +140,6 @@ proc Init_FPU2
+ endproc
+
+ end
++%ifidn __OUTPUT_FORMAT__,elf
++section .note.GNU-stack noalloc noexec nowrite progbits
++%endif
+Index: sv7/fft4gasm.nas
+===================================================================
+--- sv7.orig/fft4gasm.nas
++++ sv7/fft4gasm.nas
+@@ -422,3 +422,6 @@ lbl5:
+
+
+ ;##################################################################
++%ifidn __OUTPUT_FORMAT__,elf
++section .note.GNU-stack noalloc noexec nowrite progbits
++%endif
+Index: sv7/list_korr_asm.nas
+===================================================================
+--- sv7.orig/list_korr_asm.nas
++++ sv7/list_korr_asm.nas
+@@ -98,3 +98,6 @@ lbl2:
+ fstp tword [eax+ 8] ; x
+ ret
+ ;
++%ifidn __OUTPUT_FORMAT__,elf
++section .note.GNU-stack noalloc noexec nowrite progbits
++%endif
+Index: sv7/synthasm.nas
+===================================================================
+--- sv7.orig/synthasm.nas
++++ sv7/synthasm.nas
+@@ -2225,3 +2225,6 @@ endproc
+ ;
+ ; end of synthasm.nas
+ ;
++%ifidn __OUTPUT_FORMAT__,elf
++section .note.GNU-stack noalloc noexec nowrite progbits
++%endif
diff --git a/media-sound/musepack-tools/files/musepack-tools-1.15v-fbsd.patch b/media-sound/musepack-tools/files/musepack-tools-1.15v-fbsd.patch
new file mode 100644
index 0000000..1171b57
--- /dev/null
+++ b/media-sound/musepack-tools/files/musepack-tools-1.15v-fbsd.patch
@@ -0,0 +1,13 @@
+Index: sv7/mppdec.h
+===================================================================
+--- sv7.orig/mppdec.h
++++ sv7/mppdec.h
+@@ -160,7 +160,7 @@
+ # include <sys/time.h>
+ # if defined __linux__ // the standard is that this file is stored somewhere on the hard disk
+ # include <linux/soundcard.h>
+-# elif defined __bsdi__
++# elif defined __bsdi__ || __FreeBSD__ >= 5
+ # include <sys/soundcard.h>
+ # elif defined __FreeBSD__
+ # include <machine/soundcard.h>
diff --git a/media-sound/musepack-tools/files/musepack-tools-1.15v-gcc4.patch b/media-sound/musepack-tools/files/musepack-tools-1.15v-gcc4.patch
new file mode 100644
index 0000000..ddae02c
--- /dev/null
+++ b/media-sound/musepack-tools/files/musepack-tools-1.15v-gcc4.patch
@@ -0,0 +1,11 @@
+--- sv7/mppenc.c~ 2005-02-10 04:44:48.944566440 +0100
++++ sv7/mppenc.c 2005-02-10 04:45:04.464207096 +0100
+@@ -1844,7 +1844,7 @@
+ }
+
+
+-static void
++void
+ OverdriveReport ( void )
+ {
+ if ( Overflows > 0 ) { // report internal clippings
diff --git a/media-sound/musepack-tools/metadata.xml b/media-sound/musepack-tools/metadata.xml
new file mode 100644
index 0000000..e1774e3
--- /dev/null
+++ b/media-sound/musepack-tools/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>sound</herd>
+</pkgmetadata>
diff --git a/media-sound/musepack-tools/musepack-tools-1.15v-r1.ebuild b/media-sound/musepack-tools/musepack-tools-1.15v-r1.ebuild
new file mode 100644
index 0000000..4cedf29
--- /dev/null
+++ b/media-sound/musepack-tools/musepack-tools-1.15v-r1.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/media-sound/musepack-tools/musepack-tools-1.15v-r1.ebuild,v 1.2 2007/05/14 21:21:37 beandog Exp $
+
+IUSE="static 16bit esd"
+
+inherit eutils flag-o-matic flag-o-matic
+
+S="${WORKDIR}/sv7"
+
+DESCRIPTION="Musepack audio compression tools"
+HOMEPAGE="http://www.musepack.net"
+SRC_URI="http://files.musepack.net/source/mpcsv7-src-${PV}.tar.bz2"
+
+SLOT="0"
+LICENSE="LGPL-2.1"
+KEYWORDS="~amd64 ~x86 ~x86-fbsd"
+
+RDEPEND="esd? ( media-sound/esound )
+ media-libs/id3lib
+ !media-sound/mppenc"
+
+DEPEND="${RDEPEND}
+ x86? ( dev-lang/nasm )
+ x86-fbsd? ( dev-lang/nasm )
+ amd64? ( dev-lang/nasm )"
+
+src_unpack() {
+ unpack ${A}
+ cd ${S}
+
+ epatch "${FILESDIR}/${P}-Makefile.patch"
+ epatch "${FILESDIR}/${P}-gcc4.patch"
+ use esd && epatch "${FILESDIR}/${P}-Makefile-esd.patch"
+
+ sed -i 's/#define USE_IRIX_AUDIO/#undef USE_IRIX_AUDIO/' mpp.h
+
+ if ! use esd ; then
+ sed -i -e 's/#define USE_ESD_AUDIO/#undef USE_ESD_AUDIO/' mpp.h
+ else
+ sed -i -e 's/^LDADD = -lm$/LDADD = $(shell esd-config --libs)/' \
+ Makefile
+ fi
+
+ if [[ $(tc-arch) != "x86" ]] ; then
+ sed -i 's/#define USE_ASM/#undef USE_ASM/' mpp.h
+ fi
+
+ if [[ "$(tc-arch)" == "amd64" ]] ; then
+ sed -i 's/-f elf$/-f elf64/' Makefile
+ fi
+
+ use 16bit && sed -i 's|//#define MAKE_16BIT|#define MAKE_16BIT|' mpp.h
+
+ # Bug #109699; console redirection to /dev/tty makes no sense
+ sed -i -e 's/$(LDADD) &> $(LOGFILE)/$(LDADD)/' Makefile
+
+ epatch "${FILESDIR}/${P}-execstack.patch"
+ epatch "${FILESDIR}/${P}-fbsd.patch"
+}
+
+src_compile() {
+ filter-flags "-fprefetch-loop-arrays"
+ filter-flags "-mfpmath=sse" "-mfpmath=sse,387"
+ use static && export BLD_STATIC=1
+
+ append-flags "-I${S}"
+
+ emake CC="$(tc-getCC)" clean || die
+
+ ARCH= emake CC="$(tc-getCC)" mppenc mppdec replaygain || die
+}
+
+src_install() {
+ dobin mppenc mppdec replaygain
+ dodoc README doc/ChangeLog doc/MANUAL.TXT doc/NEWS doc/SV7.txt doc/TODO*
+}